%perl_module Curses 1.06 5

Summary:	Terminal screen handling and optimization for perl.
Group:		Applications/CPAN
License:	distributable
URL:		http://search.cpan.org/author/WPS/%{pkgname}-%{version}/
Source0:	http://search.cpan.org/CPAN/authors/id/W/WP/WPS/%{pkgname}-%{version}.tar.gz
Patch0:		Curses-1.06-fix-Perl_sv_isa.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:  ncurses-devel
Requires:	ncurses

%description
"Curses" is the interface between Perl and your system's curses(3)
library.  For descriptions on the usage of a given function, variable,
or constant, consult your system's documentation, as such information
invariably varies (:-) between different curses(3) libraries and
operating systems.

%prep
%setup -q -n %{pkgname}-%{version} 
%patch0 -p1 -b .Perl_sv_isa

%build
%perl_configure PANELS MENUS FORMS
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc MANIFEST README INSTALL Artistic
%{perl_vendorarch}/Curses.pm
%{perl_vendorarch}/auto/Curses
%{perl_man3dir}/Curses.3pm*

%changelog
* Sat Jun 21 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
